; ---------------------------------------------------------------- 
;                  RH_READCH, klu, ch
; ----------------------------------------------------------------
; necessite open_rh en /MONO 
; Lit et decode l'acquisition klu dans bFI et luFI du common RH	
; 
; INPUTS:
;	klu  : numero de l'acquisition a lire	LONG
;	       debut du fichier = 0L
;	ch   : 'Y' ou 'N' selection des frequences strarr(entfi.nf) 
; OUTPUTS:
;	klu  : numero de l'acq lue
;              = -999L si on a atteint la fin de fichier
; COMMON BLOCKS: 
;       RH
;
; -----------------------------------------------------------------  

PRO RH_READCH, klu, ch

@rh_common.inc

  RH_READBCH, klu, ch
  if klu eq -999L then return
  g = 2.^luFI.g
  luFI.pt = g(sFI.tFI)*luFI.pt
  RETURN

END
