
FUNCTION rh_antenne, nbant

;+
; NAME: 
;       ANTENNE_RH 
; 
; PURPOSE: 
;	Nom des antennes, tableau de chaines de caracteres.
; 
; CALLING SEQUENCE: 
;       S = rh_antenne(nbant)
; 
; INPUTS:
;	nbant: Nombre d'antennes
;
; KEYWORD PARAMETERS: 
;       NONE.
; 
; OUTPUTS: 
;       rh_antenne(nbant) : tableau de chaines de caracteres.
; 
; COMMON BLOCKS: 
;	NONE.
; 
; EXAMPLE: 
;       s = RH_ANTENNE(nbant) 
; 
; MODIFICATION HISTORY: 
;
;-  


sant = ["ewE2", "ewE1", "ewE0", "ew01", $
         "ew02", "ew03", "ew04", "ew05", $
	 "ew06", "ew07", "ew08", "ew09", $
         "ew10", "ew11", "ew12", "ew13", $
	 "ew14", "ew15", "ew16",$
	 "ns00", "ns01", "ns02", "ns03", $
         "ns04", "ns05", "ns06", "ns07", $
	 "ns08", "ns09", "ns10", "ns11", $
         "ns12", "ns13", "ns14", "ns15", $
	 "ns16", "ns17", "ns18", "ns19", $
         "ns20", "ns21", "ns22", "ns23", $
	 "ns24", "ewa1",'ewa2','ewa3','ewa4']
sant = sant[0:nbant-1]
return, sant
END
