
PRO symbtrace, xcoord, ycoord, taille, FIGURE=figure
;
; Construction d'un symbole de trace (tableaux d'entree de la proc. USERSYM)
;
; Parametres: 
;		xcoord	Tableau des abscisses (sortie)
;		ycoord	Tableau des ordonnees (sortie)
;		taille	Taille du symbole a tracer (unites: taille caractere)
;		FIGURE	Figure geometrique du symbole (defaut: cercle)

a = FINDGEN(16) * (!PI*2/16.)
xcoord = COS(a)
ycoord = sin(A)


; IF NOT KEYWORD_SET(FIGURE) THEN figure = 0

IF STRLOWCASE(FIGURE) EQ 'triangle' THEN BEGIN 
	xcoord = [-.5, .5, 0., -.5] * taille
	ycoord = [-0.5, -0.5, .5, -0.5] * taille
ENDIF

IF STRLOWCASE(FIGURE) EQ 'square' THEN BEGIN 
	xcoord = [-.5, .5, .5, -.5, -.5] * taille
	ycoord = [-.5, -.5, .5, .5, -.5] * taille
ENDIF

IF STRLOWCASE(FIGURE) EQ 'diamond' THEN BEGIN 
	xcoord = [-.5, .0, .5, .0, -.5] * taille
	ycoord = [0., .5, 0., -.5, 0.] * taille
ENDIF

IF STRLOWCASE(FIGURE) EQ 'pentagon' THEN BEGIN 
	xcoord = [-.5, .5, .5, .0, -.5, -.5] * taille
	ycoord = [-.5, -.5, 0., .5, 0., -.5] * taille
ENDIF

END