pro read_manpos, text, idate, heurms, frequence, $
	canew, fwhmew, cansn, fwhmsn
;
; Decodage d'une chaine de caracteres (pour archiver les donnees entrees
; manuellement dans la procedure de trace des positions 2D)
;
; Parametres:
;	texte	Chaine de caracteres a decoder
;

p1 = -1
CONT:
	p0 = STRPOS(text, ' ', p1+1)
	type = STRLOWCASE( STRMID(text, p1+1, p0-p1-2) )
	p1 = STRPOS(text, '|', p0)
	IF (p0 GT -1 AND p1 GT -1) THEN BEGIN
		data = STRMID(text, p0+1, p1-p0-1)
		IF type EQ 'date' THEN c2idate, data, idate
		IF type EQ 'time' THEN heurms = hms(data)
		IF type EQ 'freq' THEN READS, data, frequence
		IF type EQ 'chew' THEN READS, data, canew
		IF type EQ 'fwhmew' THEN READS, data, fwhmew
		IF type EQ 'chsn' THEN READS, data, cansn
		IF type EQ 'fwhmsn' THEN READS, data, fwhmsn
		GOTO, CONT
	ENDIF
RETURN
END
