pro write_manpos, fichier, idate, heurms, frequence, $
	canew, fwhmew, cansn, fwhmsn, err

; Ecriture des donnees entrees manuellement dans le fichier FICHIER

a = FINDFILE(fichier, COUNT=new)
IF new EQ 0 THEN BEGIN
	openw,1,fichier, ERROR=err 
ENDIF ELSE BEGIN
	openu, 1, fichier, ERROR=err
	tmp = FSTAT(1)
	POINT_LUN, 1, tmp.size	; positionner pointeur a la fin du fichier
ENDELSE
IF err NE 0 THEN RETURN

i2cdate, idate, strdate	; strdate = date en formes de caractere
text = 'Date: ' + strdate + '|'
text = text + $
	'Time: ' + msh(heurms) + '|'
text = text + $
	'Freq: ' + STRING(frequence)+ '|'
text = text + $
	'ChEW:' + STRING(canew)+ '|'
text = text + $
	'FWHMEW:' + STRING(fwhmew)+ '|'
text = text + $
	'ChSN:' + STRING(cansn)+ '|'
text = text + $
	'FWHMSN:' + STRING(fwhmsn)+ '|'
text = STRCOMPRESS(text)

printf, 1, text
close, 1

RETURN
END
