
;+ ***********************************************************************
; NAME:
;	INIT_STR_FIC_NRH2
;
; PURPOSE:
;	Initialisation de la structure STR_FIC pour les fichiers NRH2
;
; CATEGORY:
;	Structures
;
; CALLING SEQUENCE:
;	INIT_STR_FIC_NRH2, Str
;
; INPUTS:
;	STR	structure STR_FIC, definie par STR={STR_FIC}
;
; OUTPUTS:
;	Les valeurs de STR sont fixees pour definir le filtre correspondant
;	aux fichiers type NRH2
;
;
; MODIFICATION HISTORY:
;	Ecrit par:J Bonmartin le 04/06/98
;-*******************************************************************

PRO INIT_STR_FIC_NRH2, Str_fic

	Str_fic.Filtre='nrh2_*_*_*_*_*.fts'
	Str_fic.freq= '????'
	Str_fic.date= '????????'
	Str_fic.hr= '??????'
	Str_fic.Typ= '?'

CD, CURRENT = rep
	Str_fic.rep = rep

END