function rh_norm_tbma,ma,freq,sz_ima

; calcul de la surface elementaire d'un pavage 256*256
; et donc de l'element d'angle solide associe. Application
; de la constante de calibration (1 * carre elemntaire) sur le
; cygne. Helas, comme on s'y est pris, cette valeur varie avec la frequence:
; la hauteur d'un cygne brute est proportionnelle au flux. On peut
; penser a corriger.

; pour un talonnage grossier, on prend un cygne de 1 sfu a 164, avec
; un spectre en 1/lambda. Une unite brute de brillance * un carre
; (en 256*256 sur la periode) vaut 6.68 E-23 (flux) a 164

; autre option: rentrer une table de calibration a partir de ttes les 
; observations. Le spectre en 1/lambda parait coller a un depouillement
; manuel a mieux que 10%

; on pose que 1 rayon solaire vaut 16 minutes, donc 4.65 E-3 rd

mb=ma*4.65E-3/sz_ima
;print, 'mb',mb
ds=abs(mb(0)*mb(3)-mb(1)*mb(2))
;cbri=6.68E-23*164./freq/ds
cbri=1.43E-22/ds
lambda=300./freq 		;suppose en MHz
ctb=cbri*lambda^2./2.76E-23
;print,'ds cbri,ctb',ds,cbri,ctb,freq,ma

return,ctb
end
