; ---------------------------------------------------------------- 
;           Retourne le numero de frequence de l'acquisition klu	
; ---------------------------------------------------------------- 
; h = RH_READF(klu) 
; 	klu  : numero de l'acquisition a lire		LONG
;	       debut du fichier = 0L
; 	nof  : numero de frequence			INT
; ----------------------------------------------------------------  

FUNCTION RH_READF, klu 

@rh_common.inc

  k = klu
  IF sFI.mode EQ 1 THEN k = k*long(entFI.nf)
; Passage aux fichiers bruts 5Go : la position en octets doit etre un
; long64 et non long pour atteindre la fin de fichier.
  point_lun, sFI.unit, (entFI.lgent+k*long64(entFI.lg)+2L)
  nof = -1
  readu, sFI.unit, nof
  IF (entFI.endian EQ 1) THEN nof = swap_endian(nof)
  RETURN, nof 

END
