
;+ ***********************************************************************
; NAME:
;	NRH_HSITIME
;
; PURPOSE:
;	This procedure compute the date and time from the computer time
;	to put on the name of the NRH_HSI files
;
; CATEGORY:
;	NRH HESSI
;
; CALLING SEQUENCE:
;	NRH_HSITIME, Date, Time
;
; INPUTS:
;	No
;
; OUTPUTS:
;	DATE	string 'YYYYMMDD'
;	TIME	string 'HHMMSS'
;
; MODIFICATION HISTORY:
;	Ecrit par:Jean Bonmartin (@obnspm.fr) le 12/03/01
;-*******************************************************************

PRO NRH_HSITIME, Date,Heure

RET = BIN_DATE(Hr)

Date= STRING(Ret[0],FORMAT='(I4)')+STRING(Ret[1],FORMAT='(I2.2)')+ $
	STRING(Ret[2],FORMAT='(I2.2)')
Heure= STRMID(hr,11,2)+STRMID(hr,14,2)+STRMID(hr,17,2)+ $
	'c'+STRMID(hr,20,2)

END