PRO WDNRHRCAL_EVENT, Event

WIDGET_CONTROL,Event.top, GET_UVALUE = Str, /NO_COPY
WIDGET_CONTROL, Event.id, GET_UVALUE = Ev

CASE Ev OF
	'Rep':	BEGIN
		Str.Rep = Event.Value
		WIDGET_CONTROL, EVENT.TOP, SET_UVALUE= Str
		END
	'File':	BEGIN
		File= DIALOG_PICKFILE(FILTER='nr*.fts',PATH=Str.rep)
		IF File NE '' THEN BEGIN
			STR.File = File
			WIDGET_CONTROL, EVENT.TOP, SET_UVALUE= Str
			DATA = MRDFITS(Str.file, 1, HD1,/SILENT,RANGE=[0,1])
				TIME= Data.time
				Str.Hdeb = MSH(Time[0])
			WIDGET_CONTROL, STR.Ideb, SET_VALUE=MSH(data(0).time)
			ENDIF
		WIDGET_CONTROL, EVENT.TOP, SET_UVALUE= Str
		END
	'Hdeb': BEGIN
		Str.Hdeb = Event.value
		WIDGET_CONTROL, EVENT.TOP, SET_UVALUE= Str
		END
	'Duree': BEGIN
		Str.duree = Event.value
		WIDGET_CONTROL, EVENT.TOP, SET_UVALUE= Str
		END
	'Calib': BEGIN
		NRHRCAL, Str.file, REPERT= Str.rep, HDEB=str.hdeb, $
			DUREE=Str.duree, CALIB=Tab
		WIDGET_CONTROL, EVENT.TOP, SET_UVALUE= Str
		END

	'Exit': WIDGET_CONTROL,Event.top, /DESTROY

ENDCASE

END

PRO WDNRHRCAL, GROUP= Group

STR= {Str_nrhcal, File:'', Rep:'',Rfile:'', Wfile:'', $
		Ideb:0L, Hdeb:'', Duree:0}

	Str.Duree = 42
Sep = '/'
	IF !VERSION.OS_FAMILY EQ 'Windows' THEN Sep= '\' $
	ELSE DEVICE, DECOMPOSED=0, PSEUDO_COLOR=8
	CD, CURRENT= Rep
		Str.Rep = Rep+ Sep


BASE = WIDGET_BASE(GROUP_LEADER=Group, TITLE='CALIBRATION des ROUTINES', $
		/COLUMN, /FRAME)
	B= CW_FIELD( Base, VALUE= Str.rep, UVALUE='Rep', XSIZE=40, $
		TITLE='Write on',/ALL_EVENTS)
	B=WIDGET_BUTTON( Base, VALUE='Select File', UVALUE = 'File')
	Str.Ideb= CW_FIELD(Base, VALUE= Str.Hdeb, UVALUE= 'Hdeb', $
		/STRING, /RETURN_EVENT,TITLE='BEGIN Time  ',XSIZE=12)
	B= CW_FIELD(Base, VALUE= Str.Duree, UVALUE= 'Time', $
		/INTEGER, /RETURN_EVENT,TITLE='Interval (s)',XSIZE=12)

       b=WIDGET_BUTTON(Base,Value='Compute', Uvalue='Calib')
       b=WIDGET_BUTTON(Base,Value='Exit', Uvalue='Exit')

	WIDGET_CONTROL, Base, SET_UVALUE= STR

widget_control,base,/Realize
Xmanager,'WDNRHRCAL',Base, /NO_BLOCK

END